Bug 1088310 - python3-botocore-1.9.6 possibly breaking aws-cli
python3-botocore-1.9.6 possibly breaking aws-cli
Status: RESOLVED FIXED
: 1117076 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Maintenance
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-05 14:30 UTC by Matthew Fox
Modified: 2022-02-25 21:05 UTC (History)
14 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
jbreuer: needinfo? (adrian.glaubitz)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Fox 2018-04-05 14:30:31 UTC
I installed aws-cli through zypper. Currently running OpenSuse Tumbleweed and:

python3-botocore-1.9.6-1.1.noarch
aws-cli-1.11.185-2.2.noarch

Output of aws command:

bash:~> aws
Traceback (most recent call last):
  File "/usr/bin/aws", line 19, in <module>
    import awscli.clidriver
  File "/usr/lib/python3.6/site-packages/awscli/clidriver.py", line 35, in <module>
    from awscli.help import ProviderHelpCommand
  File "/usr/lib/python3.6/site-packages/awscli/help.py", line 27, in <module>
    from awscli.clidocs import ProviderDocumentEventHandler
  File "/usr/lib/python3.6/site-packages/awscli/clidocs.py", line 21, in <module>
    from awscli.argprocess import ParamShorthandDocGen
  File "/usr/lib/python3.6/site-packages/awscli/argprocess.py", line 21, in <module>
    from awscli.paramfile import get_paramfile, ResourceLoadingError
  File "/usr/lib/python3.6/site-packages/awscli/paramfile.py", line 16, in <module>
    from botocore.vendored import requests
ModuleNotFoundError: No module named 'botocore.vendored'

python3-botocore-1.9.6 seems to remove botocore.vendored
Comment 1 Robert Schweikert 2018-06-20 20:09:15 UTC
Consistent versions of aws-cli, boto3, botocore are on their way to Factory
Comment 6 Shyukri Shyukriev 2018-07-25 12:55:12 UTC
QAM here:
there are error when trying to update those packages:
http://qam.suse.de/testreports/SUSE:Maintenance:7842:167915/install_logs/ x86_64 & s390
....
Installation of python3-botocore-1.10.40-3.3.1.noarch failed:
Error: Subprocess failed. Error: RPM failed: error: unpacking of archive failed on file /usr/lib/python3.6/site-packages/botocore/vendored/requests: cpio: File from package already exists as a directory in system
Comment 7 Benjamin Brunner 2018-07-25 13:41:14 UTC
Reopening, see c#6.
Comment 8 Daniel Wallace 2018-08-01 20:00:41 UTC
We are experiencing this same issue when trying to test openSUSE in our test suite.

https://jenkinsci.saltstack.com/job/2017.7/job/salt-opensuse-py2/3/console

```
19:10:32         *  INFO: Running version: 2018.04.25
19:10:32         *  INFO: Executed by: shell pipe
19:10:32         *  INFO: Command line: '/tmp/kitchen/bootstrap.sh -X -p rsync git v2017.7.6'
19:10:32         *  WARN: Running the unstable version of bootstrap-salt.sh
19:10:32        
19:10:32         *  INFO: System Information:
19:10:32         *  INFO:   CPU:          GenuineIntel
19:10:32         *  INFO:   CPU Arch:     x86_64
19:10:32         *  INFO:   OS Name:      Linux
19:10:32         *  INFO:   OS Version:   4.4.104-39-default
19:10:32         *  INFO:   Distribution: opensuse 42.3
19:10:32        
19:10:32         *  INFO: Installing minion
19:10:32         *  INFO: Daemons will not be started
19:10:32         *  INFO: Found function install_opensuse_git_deps
19:10:32         *  INFO: Found function config_salt
19:10:32         *  INFO: Found function preseed_master
19:10:32         *  INFO: Found function install_opensuse_git
19:10:32         *  INFO: Found function install_opensuse_git_post
19:10:32         *  INFO: Found function install_opensuse_restart_daemons
19:10:32         *  INFO: Found function daemons_running
19:10:32         *  INFO: Found function install_opensuse_check_services
19:10:32         *  INFO: Running install_opensuse_git_deps()
19:10:32        Adding repository 'Salt releases for SLE-based SUSE products (openSUSE_Leap_42.3)' [......done]
19:10:32        Repository 'Salt releases for SLE-based SUSE products (openSUSE_Leap_42.3)' successfully added
19:10:32        
19:10:32        URI         : http://repo.saltstack.com/opensuse/openSUSE_Leap_42.3/
19:10:32        Enabled     : Yes                                                   
19:10:32        GPG Check   : Yes                                                   
19:10:32        Autorefresh : Yes                                                   
19:10:32        Priority    : 99 (default priority)                                 
19:10:32        
19:10:32        Repository priorities are without effect. All enabled repositories share the same priority.
19:10:35        Retrieving repository 'openSUSE-Leap-42.3-Non-Oss' metadata [....done]
19:10:36        Building repository 'openSUSE-Leap-42.3-Non-Oss' cache [....done]
19:10:51        Retrieving repository 'openSUSE-Leap-42.3-Oss' metadata [...............done]
19:10:52        Building repository 'openSUSE-Leap-42.3-Oss' cache [....done]
19:11:03        Retrieving repository 'openSUSE-Leap-42.3-Update' metadata [............done]
19:11:15        Building repository 'openSUSE-Leap-42.3-Update' cache [....done]
19:11:15        Retrieving repository 'openSUSE-Leap-Cloud-Tools' metadata [..
19:11:15        
19:11:15        Automatically importing the following key:
19:11:15        
19:11:15          Repository:       openSUSE-Leap-Cloud-Tools                   
19:11:15          Key Name:         Cloud OBS Project <Cloud@build.opensuse.org>
19:11:15          Key Fingerprint:  ACE2204F 418CFEB8 BF02ABF5 9338BC79 29DD7D91
19:11:15          Key Created:      Wed 20 Sep 2017 03:28:52 PM UTC             
19:11:15          Key Expires:      Fri 29 Nov 2019 03:28:52 PM UTC             
19:11:15          Rpm Name:         gpg-pubkey-29dd7d91-59c28934                
19:11:15        
19:11:15        
19:11:15        done]
19:11:15        Building repository 'openSUSE-Leap-Cloud-Tools' cache [....done]
19:11:15        Retrieving repository 'openSUSE-Leap-42.3-Update-Non-Oss' metadata [...done]
19:11:15        Building repository 'openSUSE-Leap-42.3-Update-Non-Oss' cache [....done]
19:11:15        Retrieving repository 'Salt releases for SLE-based SUSE products (openSUSE_Leap_42.3)' metadata [..
19:11:15        
19:11:15        Automatically importing the following key:
19:11:15        
19:11:15          Repository:       Salt releases for SLE-based SUSE products (openSUSE_Leap_42.3)      
19:11:15          Key Name:         systemsmanagement OBS Project <systemsmanagement@build.opensuse.org>
19:11:15          Key Fingerprint:  68D33874 99670AEB D9882DB3 2ABFA143 A0E46E11                        
19:11:15          Key Created:      Tue 09 May 2017 05:28:21 PM UTC                                     
19:11:15          Key Expires:      Thu 18 Jul 2019 05:28:21 PM UTC                                     
19:11:15          Rpm Name:         gpg-pubkey-a0e46e11-5911fc35                                        
19:11:15        
19:11:15        
19:11:15        done]
19:11:15        Building repository 'Salt releases for SLE-based SUSE products (openSUSE_Leap_42.3)' cache [....done]
19:11:15        All repositories have been refreshed.
19:11:15        Loading repository data...
19:11:15        Reading installed packages...
19:11:15        'python-requests' is already installed.
19:11:15        There is an update candidate for 'python-requests', but it is from a different vendor. Use 'zypper install python-requests-2.19.1-3.1.noarch' to install this candidate.
19:11:15        Resolving package dependencies...
19:11:15        
19:11:15        Problem: nothing provides python-botocore >= 1.10.62 needed by aws-cli-1.15.63-43.1.noarch
19:11:15         Solution 1: deinstallation of aws-cli-1.11.185-40.2.noarch
19:11:15         Solution 2: do not install python-PyYAML-3.13-35.3.x86_64
19:11:15         Solution 3: break aws-cli-1.15.63-43.1.noarch by ignoring some of its dependencies
19:11:15        
19:11:15        Choose from above solutions by number or cancel [1/2/3/c] (c): c
19:11:15         * ERROR: Failed to run install_opensuse_git_deps()!!!
19:11:15        No salt-minion installed, install must have failed!!
19:11:15        salt_install = bootstrap
19:11:15        salt_url = https://raw.githubusercontent.com/saltstack/salt-bootstrap/develop/bootstrap-salt.sh
19:11:15        bootstrap_options = -X -p rsync git v2017.7.6
19:11:15        salt_version = latest
19:11:15        salt_apt_repo = https://repo.saltstack.com/apt/ubuntu/16.04/amd64/
19:11:15        salt_apt_repo_key = https://repo.saltstack.com/apt/ubuntu/16.04/amd64/latest/SALTSTACK-GPG-KEY.pub
19:11:15        salt_ppa = ppa:saltstack/salt
19:11:15        salt_yum_rpm_key = https://repo.saltstack.com/yum/redhat/7/x86_64/archive/latest/SALTSTACK-GPG-KEY.pub
19:11:15        salt_yum_repo = https://repo.saltstack.com/yum/redhat///archive/latest
19:11:15        salt_yum_repo_key = https://repo.saltstack.com/yum/redhat///archive/latest/SALTSTACK-GPG-KEY.pub
19:11:15        salt_yum_repo_latest = https://repo.saltstack.com/yum/redhat/salt-repo-latest-2.el7.noarch.rpm
```
Comment 9 Bo Maryniuk 2018-08-02 15:31:10 UTC
Re-assigning to salt-maintainers ml.
Comment 10 Robert Schweikert 2018-08-03 11:56:07 UTC
The root cause is the following commit:

Thu May 10 09:05:58 UTC 2018 - tchvatal@suse.com

- Create symlinks from system packages for the vendored stuff as some
  3rd party apps   require it and it leads to explosions

While I agree that using the "special" shipped requests implementation is not what we want to do, it is obviously not acceptable to simply rip it out and not care about whether the package itself works or not.

The traceback generated with the "special" AWS version of requests removed is as follows:

 File "/usr/bin/ec2uploadimg", line 610, in <module>
    ami = uploader.create_image(args.source)
  File "/usr/lib/python3.6/site-packages/ec2utils/ec2uploadimg.py", line 887, in create_image
    snapshot = self.create_snapshot(source)
  File "/usr/lib/python3.6/site-packages/ec2utils/ec2uploadimg.py", line 1010, in create_snapshot
    root_volume = self._create_image_root_volume(source)
  File "/usr/lib/python3.6/site-packages/ec2utils/ec2uploadimg.py", line 296, in _create_image_root_volume
    self._check_image_exists()
  File "/usr/lib/python3.6/site-packages/ec2utils/ec2uploadimg.py", line 153, in _check_image_exists
    my_images = self._get_owned_images()
  File "/usr/lib/python3.6/site-packages/ec2utils/ec2utils.py", line 68, in _get_owned_images
    return self._connect().describe_images(Owners=['self'])['Images']
  File "/usr/lib/python3.6/site-packages/botocore/client.py", line 314, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/usr/lib/python3.6/site-packages/botocore/client.py", line 599, in _make_api_call
    operation_model, request_dict)
  File "/usr/lib/python3.6/site-packages/botocore/endpoint.py", line 148, in make_request
    return self._send_request(request_dict, operation_model)
  File "/usr/lib/python3.6/site-packages/botocore/endpoint.py", line 177, in _send_request
    success_response, exception):
  File "/usr/lib/python3.6/site-packages/botocore/endpoint.py", line 273, in _needs_retry
    caught_exception=caught_exception, request_dict=request_dict)
  File "/usr/lib/python3.6/site-packages/botocore/hooks.py", line 227, in emit
    return self._emit(event_name, kwargs)
  File "/usr/lib/python3.6/site-packages/botocore/hooks.py", line 210, in _emit
    response = handler(**kwargs)
  File "/usr/lib/python3.6/site-packages/botocore/retryhandler.py", line 183, in __call__
    if self._checker(attempts, response, caught_exception):
  File "/usr/lib/python3.6/site-packages/botocore/retryhandler.py", line 251, in __call__
    caught_exception)
  File "/usr/lib/python3.6/site-packages/botocore/retryhandler.py", line 269, in _should_retry
    return self._checker(attempt_number, response, caught_exception)
  File "/usr/lib/python3.6/site-packages/botocore/retryhandler.py", line 317, in __call__
    caught_exception)
  File "/usr/lib/python3.6/site-packages/botocore/retryhandler.py", line 223, in __call__
    attempt_number, caught_exception)
  File "/usr/lib/python3.6/site-packages/botocore/retryhandler.py", line 359, in _check_caught_exception
    raise caught_exception
  File "/usr/lib/python3.6/site-packages/botocore/endpoint.py", line 222, in _get_response
    proxies=self.proxies, timeout=self.timeout)
  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 622, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 445, in send
    timeout=timeout
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 343, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
    conn.connect()
  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 341, in connect
    if self.ssl_context is None:
'AWSHTTPSConnection' object has no attribute 'ssl_context'

I do not yet know why the "ssl_context" attribute disappears when we use the system provided python modules
Comment 13 Robert Schweikert 2018-08-03 12:58:25 UTC
Tomas,

I tested just the changes introduced (well the sed expression and the bundle removal) by 590736. Those changes have no effect on aws-cli and our own tools such as ec2uploadimg, i.e. they work.

What 3rd party applications were reported broken that caused you to add the symlinks?

And yes, I do not yet understand why the symlinks, that should be benign would cause a problem.
Comment 14 Robert Schweikert 2018-08-21 22:39:18 UTC
Tomas, ping
Comment 15 Tomáš Chvátal 2018-08-22 07:10:05 UTC
(In reply to Robert Schweikert from comment #13)
> Tomas,
> 
> I tested just the changes introduced (well the sed expression and the bundle
> removal) by 590736. Those changes have no effect on aws-cli and our own
> tools such as ec2uploadimg, i.e. they work.
> 
> What 3rd party applications were reported broken that caused you to add the
> symlinks?
> 
> And yes, I do not yet understand why the symlinks, that should be benign
> would cause a problem.

I did it for aws-cli because of the bug https://bugzilla.suse.com/show_bug.cgi?id=1092493

But seems meanwhile you patched it properly in your project so you can drop it again.
Comment 16 Robert Schweikert 2018-08-22 14:41:46 UTC
Fixed with: https://build.opensuse.org/request/show/630943
Comment 17 Swamp Workflow Management 2018-09-05 13:10:45 UTC
SUSE-RU-2018:2621-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1066528,1075263,1088310
CVE References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    aws-cli-1.15.40-20.6.1, python-botocore-1.10.57-26.10.1, python-s3transfer-0.1.13-6.6.1
SUSE OpenStack Cloud 8 (src):    aws-cli-1.15.40-20.6.1, python-botocore-1.10.57-26.10.1, python-s3transfer-0.1.13-6.6.1
SUSE OpenStack Cloud 7 (src):    python-botocore-1.10.57-26.10.1
SUSE Linux Enterprise Module for Public Cloud 12 (src):    aws-cli-1.15.40-20.6.1, python-boto3-1.7.42-12.6.1, python-botocore-1.10.57-26.10.1, python-s3transfer-0.1.13-6.6.1
HPE Helion Openstack 8 (src):    aws-cli-1.15.40-20.6.1, python-botocore-1.10.57-26.10.1, python-s3transfer-0.1.13-6.6.1
Comment 19 Swamp Workflow Management 2018-09-08 10:18:06 UTC
openSUSE-RU-2018:2671-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1066528,1075263,1088310
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    aws-cli-1.15.40-23.1, python-boto3-1.7.42-15.1, python-botocore-1.10.57-15.1, python-s3transfer-0.1.13-12.1
Comment 28 Andreas Stieger 2018-11-23 10:11:32 UTC
*** Bug 1117076 has been marked as a duplicate of this bug. ***
Comment 29 Marcus Meissner 2018-11-23 10:22:45 UTC
I repreprared the incident and locked it again for QA, removing the duplicated botocore
Comment 30 Joao Walter Bruno Filho 2018-11-28 17:59:05 UTC
After update, original issue is still happening: 

# aws configure
Traceback (most recent call last):
  File "/usr/bin/aws", line 19, in <module>
    import awscli.clidriver
  File "/usr/lib/python3.6/site-packages/awscli/clidriver.py", line 36, in <module>
    from awscli.help import ProviderHelpCommand
  File "/usr/lib/python3.6/site-packages/awscli/help.py", line 27, in <module>
    from awscli.clidocs import ProviderDocumentEventHandler
  File "/usr/lib/python3.6/site-packages/awscli/clidocs.py", line 21, in <module>
    from awscli.argprocess import ParamShorthandDocGen
  File "/usr/lib/python3.6/site-packages/awscli/argprocess.py", line 21, in <module>
    from awscli.paramfile import get_paramfile, ResourceLoadingError
  File "/usr/lib/python3.6/site-packages/awscli/paramfile.py", line 16, in <module>
    from botocore.vendored import requests
ModuleNotFoundError: No module named 'botocore.vendored'

before:
    python3-botocore-1.8.26-1.20
    aws-cli-1.11.185-2.20
    python3-boto3-1.5.1-1.21
    python3-s3transfer-0.1.11-1.22
after:
    python3-botocore-1.10.40-3.4.1
    aws-cli-1.15.40-4.3.3
    python3-boto3-1.7.40-3.3.4
    python3-s3transfer-0.1.13-3.3.4

It seems that the vendored removal section is still present, and there's no symlink creation after the update (I'm not sure if that was supposed to be there or not). 
Other than that, since aws-cli still fails, the sed doesn't affect aws-cli package: 

-%patch0 -p0
+%patch0 -p1
+# remove requests and six
+rm -r botocore/vendored/
+# fix all imports:
+sed -i 's/from botocore\.vendored //' botocore/*.py tests/unit/*.py
+sed -i 's/botocore\.vendored\.//' botocore/*.py tests/unit/*.py tests/unit/auth/*.py

Please let me know if any additional info is required.
Comment 31 Joao Walter Bruno Filho 2018-11-28 18:01:31 UTC
sorry, I forgot to mention that the previous test was done on the SUSE:Maintenance:7842:178183 update for SLE 12 SP3.
Comment 32 John Paul Adrian Glaubitz 2018-11-28 18:01:39 UTC
(In reply to Joao Walter Bruno Filho from comment #30)
> before:
>     python3-botocore-1.8.26-1.20
>     aws-cli-1.11.185-2.20
>     python3-boto3-1.5.1-1.21
>     python3-s3transfer-0.1.11-1.22
> after:
>     python3-botocore-1.10.40-3.4.1

That's an incorrect version, the correct one is python3-botocore-1.10.40-3.5.2.noarch.
Comment 33 Gustavo Pichorim Boiko 2018-11-28 18:15:32 UTC
(In reply to John Paul Adrian Glaubitz from comment #32)
> (In reply to Joao Walter Bruno Filho from comment #30)
> > before:
> >     python3-botocore-1.8.26-1.20
> >     aws-cli-1.11.185-2.20
> >     python3-boto3-1.5.1-1.21
> >     python3-s3transfer-0.1.11-1.22
> > after:
> >     python3-botocore-1.10.40-3.4.1
> 
> That's an incorrect version, the correct one is
> python3-botocore-1.10.40-3.5.2.noarch.

python3-botocore-1.10.40-3.4.1 is the one being tested in SUSE:Maintenance:7842. Where is that other version available?
Comment 35 Joao Walter Bruno Filho 2018-11-28 18:21:49 UTC
(In reply to Joao Walter Bruno Filho from comment #31)
> sorry, I forgot to mention that the previous test was done on the
> SUSE:Maintenance:7842:178183 update for SLE 12 SP3.
 Actually, SUSE:Maintenance:7842:178183 update for SLE 15.
Comment 41 Swamp Workflow Management 2018-12-12 08:42:21 UTC
SUSE-RU-2018:4074-1: An update that solves one vulnerability and has 5 fixes is now available.

Category: recommended (moderate)
Bug References: 1088310,1092493,1098125,1105988,1118021,1118027
CVE References: CVE-2018-15869
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15 (src):    aws-cli-1.16.61-4.7.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15 (src):    python-boto3-1.9.57-3.5.1, python-botocore-1.12.57-3.5.1, python-s3transfer-0.1.13-3.3.6
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    python-boto3-1.9.57-3.5.1, python-botocore-1.12.57-3.5.1, python-s3transfer-0.1.13-3.3.6
SUSE Linux Enterprise Module for Basesystem 15 (src):    python-boto3-1.9.57-3.5.1, python-botocore-1.12.57-3.5.1, python-s3transfer-0.1.13-3.3.6
Comment 42 Swamp Workflow Management 2018-12-13 11:11:40 UTC
openSUSE-RU-2018:4114-1: An update that solves one vulnerability and has 5 fixes is now available.

Category: recommended (moderate)
Bug References: 1088310,1092493,1098125,1105988,1118021,1118027
CVE References: CVE-2018-15869
Sources used:
openSUSE Leap 15.0 (src):    aws-cli-1.16.61-lp150.3.3.1, python-boto3-1.9.57-lp150.2.3.1, python-botocore-1.12.57-lp150.2.3.1, python-s3transfer-0.1.13-lp150.2.3.1
Comment 44 Jochen Breuer 2019-01-04 15:38:38 UTC
Hi John Paul, I hope you are the right person to ping here. This looks like it can be closed, right?
Comment 45 John Paul Adrian Glaubitz 2019-01-04 15:41:41 UTC
(In reply to Jochen Breuer from comment #44)
> Hi John Paul, I hope you are the right person to ping here. This looks like
> it can be closed, right?

Yes, aws-cli is fixed in Tumbleweed.
Comment 46 Jochen Breuer 2019-01-04 16:26:01 UTC
Thanks! Closing the issue.
Comment 48 Swamp Workflow Management 2020-03-24 20:25:06 UTC
SUSE-RU-2020:0775-1: An update that has 11 recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1069697,1075263,1088310,1095041,1118021,1118024,1118027,1129696,1136184,1146853,1146854
CVE References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    python-botocore-1.13.33-28.20.1, python-futures-3.0.2-15.3.1
SUSE OpenStack Cloud 8 (src):    python-botocore-1.13.33-28.20.1, python-futures-3.0.2-15.3.1
SUSE OpenStack Cloud 7 (src):    python-futures-3.0.2-15.3.1
SUSE Manager Tools 12 (src):    python-futures-3.0.2-15.3.1
SUSE Manager Server 3.2 (src):    python-futures-3.0.2-15.3.1
SUSE Manager Proxy 3.2 (src):    python-futures-3.0.2-15.3.1
SUSE Linux Enterprise Point of Sale 12-SP2 (src):    python-futures-3.0.2-15.3.1
SUSE Linux Enterprise Module for Public Cloud 12 (src):    python-boto3-1.10.33-14.14.1, python-botocore-1.13.33-28.20.1, python-futures-3.0.2-15.3.1, python-s3transfer-0.2.1-8.7.1
SUSE Linux Enterprise Module for Advanced Systems Management 12 (src):    python-futures-3.0.2-15.3.1
SUSE Enterprise Storage 5 (src):    python-futures-3.0.2-15.3.1
SUSE CaaS Platform 3.0 (src):    python-futures-3.0.2-15.3.1
HPE Helion Openstack 8 (src):    python-botocore-1.13.33-28.20.1, python-futures-3.0.2-15.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.